#include "shadow.h"

void Shadow::show(rect where, int pixels)
    {
    if(pixels)
	{
	char pat[8] = { 153, 102, 102, 153, 153, 102, 102, 153 };
	setfillpattern(pat, pColorSet->colors.SHADOW_COLOR);

	bar(where.origin.X, where.origin.Y,
	    where.origin.X + pixels - 1, where.corner.Y);
	bar(where.origin.X, where.origin.Y,
	    where.corner.X, where.origin.Y + pixels - 1);
	bar(where.corner.X - pixels + 1, where.origin.Y,
	    where.corner.X, where.corner.Y);
	bar(where.origin.X, where.corner.Y - pixels + 1,
	    where.corner.X, where.corner.Y);
	}
    }
